%define grub2dir /boot/grub2
%define themedir %{grub2dir}/themes

Name:		grub2-mageia-theme-dejavu
Version:	1.0
Release:	%mkrel 5
Summary:	Alternative Mageia GRUB2 theme using the DejaVu font
Group:		System/Boot and Init
License:	GPLv2 and Bitstream Vera Fonts Copyright
Source0:	theme.txt
Source1:	grub2-mageia-default.png
Requires:	grub2bootloader
Requires(post):	coreutils
Conflicts:	grub2-mageia-theme
BuildArch:	noarch
BuildRequires:	grub2bootloader
BuildRequires:	fonts-ttf-dejavu
Obsoletes:	grub2-mageia6-theme-dejavu
Obsoletes:	grub2-mageia5-theme-dejavu
Obsoletes:	grub2-mageia4-theme-dejavu
Obsoletes:	grub2-mageia3-theme-dejavu

%description
This package provides a GRUB2 custom Mageia theme using the DejaVu font.
This is an alternative to the default theme (which uses a custom Mageia font).

%prep

%build

%install
install -d %{buildroot}%{themedir}/mageia-dejavu
install -D %{SOURCE0} %{buildroot}%{themedir}/mageia-dejavu
install -D %{SOURCE1} %{buildroot}%{themedir}
ln -sf ../grub2-mageia-default.png %{buildroot}%{themedir}/mageia-dejavu/grub2-mageia-default.png

# Create dejavu pf2 fonts
for i in 14 18 20 24; do
/bin/grub2-mkfont --output=%{buildroot}%{themedir}/mageia-dejavu/DejaVuSans-Bold-$i.pf2 \
	     --size=$i /usr/share/fonts/TTF/dejavu/DejaVuSans-Bold.ttf
done

%post
if [ $1 -eq 1 ] ; then
# Check for other themes and remove them
sed -i '/GRUB_THEME=\/boot\/grub2/d' %{_sysconfdir}/default/grub

# Check that /etc/default/grub ends in a linefeed
[ "$(tail -n 1 %{_sysconfdir}/default/grub | wc --lines)" = "1" ] || echo >> %{_sysconfdir}/default/grub

# Add dejavu theme
echo "GRUB_THEME=%{themedir}/mageia-dejavu/theme.txt" >> %{_sysconfdir}/default/grub

# Update menu on install
grub2-mkconfig -o /boot/grub2/grub.cfg && rm -f /boot/grub2/grub.cfg.rpmsave
fi

# Copy system default background at correct aspect ratio
if [ -h %{_datadir}/mga/backgrounds/default.jpg ]; then
cp -f $(%{_bindir}/readlink %{_datadir}/mga/backgrounds/default.jpg|%{_bindir}/sed 's/jpg/png/') /boot/grub2/themes/grub2-mageia-default.png
fi

# Fix upgrade from Mageia5
%triggerpostun -- grub2-mageia5-theme-dejavu <  1.0-2.mga5
# Run install.sh to replace /boot/grub2/fonts/unicode.pf2
   if [ -f /boot/grub2/install.sh -a -x /usr/sbin/detectloader ] && [ "$DURING_INSTALL" != "1" ]; then
		LOADER=$(/usr/sbin/detectloader)
		[ "$LOADER" = "GRUB2" ] && /boot/grub2/install.sh ||:
   fi
   
%postun
exec > /var/log/grub2_theme_postun.log 2>&1
# Only if uninstalling dejavu theme
if [ $1 -eq 0 ]; then
# Remove dejavu theme from config
sed -i '/GRUB_THEME=\/boot\/grub2\/themes\/mageia-dejavu\/theme.txt/d' %{_sysconfdir}/default/grub
fi

%files
%dir %{themedir}/mageia-dejavu
%{themedir}/*



%changelog
* Sun Jun 18 2017 barjac <barjac> 1.0-5.mga6
+ Revision: 1107876
- Change menu title

* Mon Jan 30 2017 barjac <barjac> 1.0-4.mga6
+ Revision: 1084270
- fix upgrade path from Mga5

* Mon Oct 17 2016 barjac <barjac> 1.0-3.mga6
+ Revision: 1061392
- add support for i18n glyphs in font (Mga#19592)

* Wed Sep 07 2016 barjac <barjac> 1.0-2.mga6
+ Revision: 1050416
- fix b/g symlink for systems with separate /boot

* Sun Sep 04 2016 barjac <barjac> 1.0-1.mga6
+ Revision: 1049969
- new package with non-versioned name
- obsoletes all earlier dejavu packages

